KDEINIT4(8)

NAME
kdeinit4 - El llançador de processos del KDE.

SINOPSIS

kdeinit4 [--help] [[--no-fork] | [--no-kded] | [--suicide]] [[+programes] | [programes]]

DESCRIPCIó

kdeinit4 és un llançador de processos semblant a l'ordre init que s'utilitza per a l'arrencada de UNIX. Executa els programes de KDE i els mòduls per a carregar de kdeinit (KLM) iniciant-los de forma més eficient.

L'ús de kdeinit4 per a llançar una aplicació KDE fa que el temps d'inici d'una aplicació KDE típica sigui dues vegades més ràpid i redueix el consum de memòria de manera substancial.

kdeinit4 està enllaçat contra totes les biblioteques que necessita una aplicació KDE estàndard. Mitjançant aquesta tècnica, l'inici d'una aplicació és molt més ràpid per que només es necessita enllaçar a l'aplicació mateixa, mentre que en altre cas es necessita enllaçar tant a l'aplicació com a les biblioteques que usa.

DESAVANTATGES

El nom del procés d'una aplicació engegada mitjançant kdeinit4 és «kdeinit4». Aquest problema es pot corregir en cert grau canviant el nom de l'aplicació com es mostra amb ps. De totes maneres, aplicacions com killall tan sols veuran kdeinit4 com a nom de procés. Per a solucionar-ho utilitzeu kdekillall (de kdesdk/scripts) per a les aplicacions engegades mitjançant kdeinit4.

OPCIONS

--help
    Mostra ajuda quant a les opcions

--no-fork
    No bifurcar, és a dir, no sortir fins que finalitzin tots els programes executats

--no-kded
    No inicia el kded

--suicide
    Finalitza quan no quedin aplicacions KDE en execució

+programes
    executa el programa amb les peticions de manipulació

programes
    executa els programes sense peticions de manipulació

ÚS

Una manera estàndard per executar aquest programa és simplement especificant l'ordre següent a l'indicatiu kdeinit4 programa o kdeinit4 +programa

FITXERS

/tmp/kde-$USER/kdeinit4_$INSTANCE
    ...

VARIABLES DENTORN

$HOME
    Especifica el directori inici de l'usuari actual

$KDE_HOME_READONLY
    Especifica si el directori inici de l'usuari actual és de només lectura

$KDE_IS_PRELINKED
    Si està establerta, indica a kdeinit4 que els programes KDE estan pre-enllaçats.

    (El pre-enllaçat és un procés que us permet augmentar la velocitat del procés d'enllaçat dinàmic).

$KDE_DISPLAY
    Si està establerta, indica a kdeinit4 que s'està executant en un escriptori KDE.

VEURE TAMBé

kded, kdekillall

ERRORS

Probablement hi ha un munt d'errors. Useu bugs.kde.org[1] per a informar-ne.

AUTHORS

Waldo Bastian <bastian@kde.org>
    Author.

Mario Weilguni <mweilguni@sime.com>
    Author.

Lubos Lunak <l.lunak@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org